import { StorageEntryKeysFactory } from './StorageEntryKeysFactory';
/**
 * Default implementation for {@link StorageEntryKeysFactory}, compatible with legacy local storage keys.
 */
export declare class DefaultStorageEntryKeysFactory implements StorageEntryKeysFactory {
    cachedRecoveredKeypairOfDataOwner(dataOwnerId: string, publicKeyFingerprint: string): string;
    deviceKeypairOfDataOwner(dataOwnerId: string, publicKeyFingerprint: string): string;
    selfPublicKeysVerificationCacheForDataOwner(dataOwnerId: string): string;
    signatureKeyForDataOwner(dataOwnerId: string): string;
    signatureVerificationKeyForDataOwner(dataOwnerId: string, publicKeyFingerprint: string): string;
}
